<header>
  <nav class="box-shadow">
    
    <ul class="menu">
      <li class="menu__item">
        <a routerLink="/movies/popular">
          Home
        </a>
      </li>
      
      <li class="menu__item" *ngIf="loggedUser">
        <a routerLink="/movies/favorites">
          Favorites
        </a>
        <span class="menu__item--counter">{{favoritesMoviesQuanity}}</span>
      </li>

      <li class="menu__item menu__item--float-right" *ngIf="!loggedUser">
        <a routerLink="/login">
          Login
        </a>
      </li>
      <li class="menu__item menu__item--float-right" *ngIf="!loggedUser">
        <a routerLink="/sign-up">
          Sign Up
        </a>
      </li>
      <li
        class="menu__item menu__item--float-right"
        *ngIf="loggedUser"
        (click)="logout()"
      >
        <a routerLink="/">
          Logout
        </a>
      </li>
    </ul>

  </nav>
</header>
